Name:		pigz
Version:	2.7
Release:	%mkrel 1
Summary:	Parallel implementation of gzip
Group:		Archiving/Compression
License:	zlib
URL:		https://www.zlib.net/pigz/
Source0:	https://www.zlib.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		67fd6e436f4f479aead529a719e24d6864cf1dfa.patch
BuildRequires:	pkgconfig(zlib)
Requires:	gzip

%description
pigz, which stands for parallel implementation of gzip,
is a fully functional replacement for gzip that exploits
multiple processors and multiple cores to the hilt when compressing data.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -Wall -Wextra"

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m755 unpigz %{buildroot}%{_bindir}/unpigz
install -D -m644 %{name}.1 %{buildroot}%{_datadir}/man/man1/%{name}.1

%files
%doc README pigz.pdf
%{_bindir}/%{name}
%{_bindir}/unpigz
%{_mandir}/man1/%{name}.*


%changelog
* Sat May 07 2022 luigiwalser <luigiwalser> 2.7-1.mga9
+ Revision: 1856620
- 2.7
- add patch0 from fedora

* Wed Mar 16 2022 umeabot <umeabot> 2.6-2.mga9
+ Revision: 1794997
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 2.6-1.mga9
+ Revision: 1696852
- new version: 2.6

* Fri Feb 14 2020 umeabot <umeabot> 2.4-3.mga8
+ Revision: 1515996
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.4-2.mga7
+ Revision: 1300276
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1189338
- new version: 2.4

* Sun Aug 27 2017 daviddavid <daviddavid> 2.3.4-2.mga7
+ Revision: 1148328
- fix build using ours compile flags thus fixing empty debugsourcefiles.list

* Fri Oct 21 2016 daviddavid <daviddavid> 2.3.4-1.mga6
+ Revision: 1062890
- new version: 2.3.4

* Fri Feb 12 2016 umeabot <umeabot> 2.3.3-2.mga6
+ Revision: 958504
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 daviddavid <daviddavid> 2.3.3-1.mga6
+ Revision: 885650
- new version: 2.3.3
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-3.mga5
+ Revision: 747134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-2.mga5
+ Revision: 687595
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 2.3.1-1.mga5
+ Revision: 592525
- new version 2.3.1

* Sat Oct 19 2013 umeabot <umeabot> 2.3-2.mga4
+ Revision: 528470
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 kharec <kharec> 2.3-1.mga4
+ Revision: 445127
- imported package pigz

